#
# spec file for package ffmpeg-5-mini-devel
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name ffmpeg
%define _major_version 5
%define _major_expected 6

Name:           ffmpeg-5-mini-devel
Version:        5.1.2
Release:        0
Summary:        Set of libraries for working with various multimedia formats
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            https://ffmpeg.org/
#Git-Clone:     git://source.ffmpeg.org/ffmpeg
Source:         https://www.ffmpeg.org/releases/%_name-%version.tar.xz
Source2:        https://www.ffmpeg.org/releases/%_name-%version.tar.xz.asc
Source3:        %name-rpmlintrc
Source98:       http://ffmpeg.org/ffmpeg-devel.asc#/ffmpeg-5.keyring
BuildRequires:  c_compiler
Provides:       libavcodec-devel
Conflicts:      libavcodec-devel
Conflicts:      libavcodec59
Provides:       libavdevice-devel
Conflicts:      libavdevice-devel
Conflicts:      libavdevice59
Provides:       libavfilter-devel
Conflicts:      libavfilter-devel
Conflicts:      libavfilter8
Provides:       libavformat-devel
Conflicts:      libavformat-devel
Conflicts:      libavformat59
Provides:       libavutil-devel
Conflicts:      libavutil-devel
Conflicts:      libavutil57
Provides:       libpostproc-devel
Conflicts:      libpostproc-devel
Conflicts:      libpostproc56
Provides:       libswresample-devel
Conflicts:      libswresample-devel
Conflicts:      libswresample4
Provides:       libswscale-devel
Conflicts:      libswscale-devel
Conflicts:      libswscale6

%description
FFmpeg is a multimedia framework. This package merely builds
the API for the sake of other packages.

%prep
%autosetup -p1 -n %_name-%version

%build
%define _lto_cflags %nil
CFLAGS="%optflags" \
./configure \
	--prefix="%_prefix" \
	--libdir="%_libdir" \
	--shlibdir="%_libdir" \
	--incdir="%_includedir/ffmpeg" \
	--extra-cflags="%optflags" \
	--optflags="%optflags" \
	--disable-htmlpages --disable-stripping --disable-x86asm \
	--disable-static --enable-shared --enable-pic \
	--enable-gpl --enable-version3 \
	--disable-muxers --disable-demuxers \
	--disable-encoders --disable-decoders \
	--disable-programs --disable-doc

for i in MPEG4 H263 H264 HEVC VC1; do
	grep -q "#define CONFIG_${i}_DECODER 0" config_components.h
done

cat config.h
%make_build

%install
b="%buildroot"
%make_install
rm -Rf "$b/%_datadir/ffmpeg/examples"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING.GPLv2 LICENSE.md
%_libdir/lib*
%_libdir/pkgconfig/*.pc
%_includedir/ffmpeg/

%changelog
